{% sw_extends '@Storefront/storefront/component/product/card/price-unit.html.twig' %}

{% block component_product_box_price_unit %}
	{% if purchaseUnit and purchaseUnit != 0 %}
		<p class="product-price-unit">
		    {# Price is based on the purchase unit #}
		    {% block component_product_box_price_purchase_unit %}
		        {% if purchaseUnit and purchaseUnit != 0 %}
		            <span class="product-unit-label">
		                {{ "listing.boxUnitLabel"|trans|sw_sanitize }}
		            </span>
		            <span class="price-unit-content">
		                {{ purchaseUnit }} {{ product.unit.translation('name') }}
		            </span>
		        {% endif %}
		    {% endblock %}
		
		    {# Item price is based on a reference unit #}
		    {% block component_product_box_price_reference_unit %}
		        {% if referncePrice is not null %}
		            <span class="price-unit-reference">
		                {% if (product.priceRange and product.isGrouped) or product.calculatedPrices.count > 1 %}
		                    ({{ "listing.listingTextFrom"|trans|sw_sanitize }} {{ fromPrice.referencePrice.price|currency }}{{ "general.star"|trans|sw_sanitize }} / {{ fromPrice.referencePrice.referenceUnit }}&nbsp;{{ fromPrice.referencePrice.unitName }})
		                {% else %}
		                    ({{ referncePrice.price|currency }}{{ "general.star"|trans|sw_sanitize }} / {{ referncePrice.referenceUnit }} {{ referncePrice.unitName }})
		                {% endif %}
		            </span>
		        {% endif %}
		    {% endblock %}
		</p>
    {% endif %}
{% endblock %}


{% block component_product_box_price %}
    {% set listPrice = product.priceRange or product.calculatedPrices.count > 0 ? null : product.calculatedPrice.listPrice %}

    <p class="py-3 text-primary product-price{% if listPrice.percentage > 0 %} with-list-price{% endif %}">
        {% if (product.priceRange and product.isGrouped) or product.calculatedPrices.count > 1 %}
            {{ fromPrice.unitPrice|currency }}
            -
            {{ listingPrice.to.unitPrice|currency }}{{ "general.star"|trans|sw_sanitize }}
        {% elseif product.calculatedPrices|length == 1 %}
            {{ product.calculatedPrices.first.unitPrice|currency }}{{ "general.star"|trans|sw_sanitize }}
        {% else %}
            {{ product.calculatedPrice.unitPrice|currency }}{{ "general.star"|trans|sw_sanitize }}

            {% if listPrice.percentage > 0 %}
                <span class="list-price">
                	{{ listPrice.price|currency }}{{ "general.star"|trans|sw_sanitize }}
                </span>
            {% endif %}
        {% endif %}
    </p>
{% endblock %}